[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.PaletteAllocated

Indicates whether a handle has been allocated for a palette in the image.

## Declaration

Source position: graphics.pp line 1424

`public function TCustomBitmap.PaletteAllocated: Boolean; override;`

## Function result

Returns True if a palette handle has been allocated for the image.

## Description

PaletteAllocated is an overridden Boolean function in TCustomBitmap, and indicates whether a handle has been allocated for a palette in the image. PaletteAllocated implements the abstract virtual method defined in the ancestor class.

The return value is True when palette handle in the internal shared image contains a non-zero value.

## See also

TRasterImage.PaletteAllocated |  | PaletteAllocated - returns True if a Palette has been allocated.